<?
session_start();

if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Clasificacion</title>
<?
include("../../conex.php");


$mes=$mes2;

if ($mes=='01') $mes = "ENERO";
if ($mes=='02') $mes = "FEBRERO";
if ($mes=='03') $mes = "MARZO";
if ($mes=='04') $mes = "ABRIL";
if ($mes=='05') $mes = "MAYO";
if ($mes=='06') $mes = "JUNIO";
if ($mes=='07') $mes = "JULIO";
if ($mes=='08') $mes = "AGOSTO";
if ($mes=='09') $mes = "SEPTIEMBRE";
if ($mes=='10') $mes = "OCTUBRE";
if ($mes=='11') $mes = "NOVIEMBRE";
if ($mes=='12') $mes = "DICIEMBRE";

$sql="select * from empresa where id='".$id_empresa."'";

$resfs = mysql_query($sql,$enlace);	
$res = mysql_fetch_array($resfs);

?>
<style type="text/css">
<!--
.Estilo1 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px;}
.Estilo2 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; color:#FF0000}
-->
</style>
</head>
<body LINK="#000000" VLINK="#000000" ALINK="#000000">  <br>
<form name="form" action="graba_comprobante.php" target="_blank" >
<div align="center" class="titulos2"></div>
  <div align="center">
	CENTRALIZACION PAGO PROVEEDORES<BR>
    GLOSA<BR><BR>
    Centralizaci&oacute;n PAGO PROVEEDORES EMPRESA <?=$res['nombre']?> mes <?=$mes2?> de <?=$ano?>
    <input name="glosa_comprobante" type="hidden" 
    value="Centralizacion Pago Proveedores EMPRESA <?=$res['nombre']?> mes <?=$mes2?> de <?=$ano?>" 
    >
    <input type="hidden" name="Codigo_Empresa" value="<?=$id_empresa?>" >
    <input type="hidden" name="mi_usuario" value="<?=$id_user?>" >
    <input type="hidden" name="id_empresa" value="<?=$id_empresa?>" >
    
    <input type="hidden" name="mi_mes" value="<?=$mes2?>" >
    <input type="hidden" name="mi_ano" value="<?=$ano?>" >
    
    <BR><BR>
    <table width="60%" border="0" cellpadding="0" cellspacing="1">
      <tr bgcolor="#CCCCCC">
      	<th scope="col">#</th>
	  	<th width="50%" scope="col"><div align="center">Glosa</div></th>
		<th  scope="col"><div align="center">Debe</div></th>
        <th  scope="col"><div align="center">Haber</div></th>
      </tr>
		<?			
	
		$indice=0;
		
		 $sqlfs = "SELECT  SUM(contado) AS conta,
		  SUM(tranferencia) as tranfe, SUM(documento) as docum  FROM cabeza_pago_proveedor WHERE extract(month from fecha)='$mes2' AND extract(year from fecha)='$ano' AND traspaso=0";
		 //echo $sqlfs;

		  	$resfs = mysql_query($sqlfs,$enlace);	
			$cont=0;
			
				//Muestra un mensaje en caso que no haya respuesta en la cosulta anterior
		if(mysql_num_rows($resfs)==0) die("<tr><td colspan='4'>El libro ya fue centralizado o no se ha creado</td></tr>");
			
			$conta=0;
			$tranfe=0;
			$docum=0;
			
			$total_total=0;
			while (mysql_fetch_object ($resfs))
				{
			
				
				$fp=1;
				$conta= mysql_result($resfs, $cont, "conta");
				
				$tranfe=mysql_result($resfs, $cont, "tranfe");
				
				$docum= mysql_result($resfs, $cont, "docum");
				
			
			$cont+=1;
			}	
         
			$total_total=$conta+$tranfe+$docum;
		
			  
		?> 
            
            <tr>
            <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px">
            <?
			  $indice++;
			    $sqlc = "SELECT * FROM plan_cuenta WHERE cuenta_contable='210301'";
					$resc = mysql_query($sqlc,$enlace);
					$nom_familia = mysql_result($resc, 0, "descripcion");
					$cod_cuenta = mysql_result($resc, 0, "cuenta_contable");
					$id_cuenta = mysql_result($resc, 0, "id");
			 
              ?>  
			  <?=$indice?>
               
             <input value="<?=$cod_cuenta?>" name="cuenta[<?=$indice?>]" type="hidden"   id="cuenta[<?=$indice?>]" >
             <input value= "<?=$id_cuenta?>" name="id_cuenta[<?=$indice?>]" type="hidden"   id="id_cuenta[<?=$indice?>]" >
          	 <input  value="Iva Retenido" name="glosa[<?=$indice?>]"  type="hidden"   id="glosa[<?=$indice?>]"  >
        	   <input  value="0" name="cargo[<?=$indice?>]"  type="hidden"   id="cargo[<?=$indice?>]"  >
            <input  value="<?=$total_total?>" name="abono[<?=$indice?>]"  type="hidden"   id="abono[<?=$indice?>]"  > 
              </td>
		        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px">				
                <div align="left">
                <span class="Estilo1"><strong>
             <?=$nom_familia?> ( <?=$cod_cuenta?>)	</strong></span></div></td>
             <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px">
                <div align="right"><span class="Estilo1"><strong>
				  <?=number_format($total_total,0,',','.');?>
			    </strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px">
                <div align="right"><span class="Estilo1"><strong>
				
			    </strong></span></div></td>
				
                
	        </tr>	
            
			<tr>
           
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px">
                <?
			  $indice++;
			    $sqlc = "SELECT * FROM plan_cuenta WHERE cuenta_contable='110101'";
					$resc = mysql_query($sqlc,$enlace);
					$nom_familia = mysql_result($resc, 0, "descripcion");
					$cod_cuenta = mysql_result($resc, 0, "cuenta_contable");
					$id_cuenta = mysql_result($resc, 0, "id");
			 
              ?>  
 <?=$indice?>
               
             <input value="<?=$cod_cuenta?>" name="cuenta[<?=$indice?>]" type="hidden"   id="cuenta[<?=$indice?>]" >
             <input value= "<?=$id_cuenta?>" name="id_cuenta[<?=$indice?>]" type="hidden"   id="id_cuenta[<?=$indice?>]" >
          	 <input  value="Iva Retenido" name="glosa[<?=$indice?>]"  type="hidden"   id="glosa[<?=$indice?>]"  >
        	   <input  value="0" name="cargo[<?=$indice?>]"  type="hidden"   id="cargo[<?=$indice?>]"  >
            <input  value="<?=$total_total?>" name="abono[<?=$indice?>]"  type="hidden"   id="abono[<?=$indice?>]"  > 
              </td>
		        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px">				
                <div align="left">
                <span class="Estilo1"><strong>
             <?=$nom_familia?> ( <?=$cod_cuenta?>)	</strong></span></div></td>
             <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>    </strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=number_format($total_total,0,',','.');?>
			    </strong></span></div></td>
				
	        </tr>
            
          <tr>
		        
				
            <td colspan="2" style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="center"><span class="Estilo1"><strong>
	            	Total
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px">
                <div align="right"><span class="Estilo1"><strong>
                  
				  <?=number_format($total_total,0,',','.');?>
			    </strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=number_format(($total_total),0,',','.');?>
			    </strong></span></div></td>
				
	        </tr>  
    </table>
<table width="60%" border="0" cellpadding="0" cellspacing="1">
      <tr bgcolor="#CCCCCC"><td> 
<input name="cantidad_filas_ingreso" type="hidden" value="<?=$indice?>">         
<div align="center">
Fecha del comprobante
<br>
Dia
<select name="dia"  id="dia" onBlur="fecha();" >
  <?
   $ddd = 1;
   while($ddd < 32 ){
   ?>
  	<option value="<? if($ddd <= 9 ){echo "0".$ddd;} else {echo $ddd;};?>" >
  	<? if($ddd <= 9 ){echo "0".$ddd;} else {echo $ddd;};?>
  	</option>
  	<?
	$ddd++;
	}; 
	?>
</select>

MES  <?=$mes2?> 
A&Ntilde;O <?=$ano?>
<input name="fecha_comprobante" type="hidden" id="fecha_comprobante">
<br>
<br>
</div>    
</td></tr></table>
<input type="button" value="Generar Comprobante" 
onClick="javascript:if(confirm('¿Desea realizar esta centralizacion?')) { this.disabled='true';formulario() }" >
  </div>
</form>  
</body>

</html>

<script language="javascript" type="text/javascript">
function formulario(){
document.form.submit();
}

function cerrar()
{
window.top.open('','_parent','');
window.top.close();
}
function fun_imprimir()
	{
	document.getElementById('imprimir').style.display = "none";
	window.print();
	document.getElementById('imprimir').style.display = "block";
	};

function fecha(){
document.form.fecha_comprobante.value = "<?=$ano?>/<?=$mes2?>"+"/"+document.form.dia.value;
}
fecha();
</script>